# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define shortname looks

Name: jgoodies-looks
Summary: Free high-fidelity Windows and multi-platform appearance
URL: http://www.jgoodies.com/freeware/looks/
Group: Development/Libraries
Version: 2.3.1
Release: 1%{?dist}
License: BSD

BuildRequires: jpackage-utils >= 0:5.0.0
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: ant
Requires: java >= 0:1.6.0
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: http://www.jgoodies.com/download/libraries/looks/looks-2_3_1.zip
Patch0: %{name}-build.patch
Patch1: %{name}-no-com-sun.patch
Patch2: %{name}-remove-jdk-stuff.patch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.

Main Benefits:

* Improved readability, legibility and in turn usability.
* Improved aesthetics - looks good on the majority of desktops
* Simplified multi-platform support
* Precise micro-design

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation
%description javadoc
%{summary}.

%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1 -b .orig

# (taken from Gentoo ebuild)
unzip -j %{shortname}-%{version}.jar META-INF/services/javax.swing.LookAndFeel \
|| die "unzip of javax.swing.LookAndFeel failed"
# and rename it to what build.xml expects
mv javax.swing.LookAndFeel all.txt

# Delete pre-generated stuff we don't want
rm %{shortname}-%{version}.jar
rm -r docs/api

# Delete the whole Windows L&F because it depends on com.sun.java packages
# (Unless we're compiling with a Sun JVM)
%patch1 -p0 -b .orig
rm -r src/core/com/jgoodies/looks/windows

%build
%ant -Ddescriptors.dir=. compile jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -dp $RPM_BUILD_ROOT%{_javadir} \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -p build/%{shortname}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# Fix the line endings!
for file in *.txt *.html docs/*.* docs/guide/*.*; do
    sed -i 's/\r//' $file
done
cd $RPM_BUILD_ROOT%{_javadocdir}
ln -s %{name}-%{version} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%doc RELEASE-NOTES.txt LICENSE.txt README.html docs/

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Jun 24 2010 Ralph Apel <r.apel@r-apel.de> - 2.3.1-1
- 2.3.1 - welcome back to JPP :-)

* Tue Nov 20 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.4-6
- Add LICENSE.txt to documentation
- Correctly add all files to CVS

* Mon Nov 19 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.4-4
- Improved patch to remove questionably-licensed file (now tested!)

* Tue Oct 30 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.4-3
- Remove file with questionable license and patch around its use
- Clean up the spec file following review

* Tue Oct 16 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.4-2
- Cleaned up spec file and fixed line endings and permissions following
  review

* Mon Jun 11 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.4-1
- Upgrade to 2.1.4

* Thu Apr 12 2007 Mary Ellen Foster <mefoster at gmail.com> - 2.1.3-1
- Initial version for Fedora, based on JPackage spec for jgoodies-forms
